##### basic_stream_file::seek (2 of 2 overloads)

Seek to a position in the file.

    uint64_t seek(
        int64_t offset,
        file_base::seek_basis whence,
        asio::error_code & ec);

This function updates the current position in the file.

###### Parameters

offset

  The requested position in the file, relative to `whence`.

whence

  One of `seek_set`, `seek_cur` or `seek_end`.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The new position relative to the beginning of the file.